Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray.util
Class RayContext

    java.lang.Object
      de.grogra.ray.util.RayContext

    public class RayContext

extends java.lang.Object

This class is needed for a correct intersection computation. Because the lack of precision in floating point operations there must be remembered some context information. Additionally it is used to optimize the intersection processing by knowing the former computation context.

Author:
  Micha

Field Summary
`RTObject` | `excludeObject`
`Point3d` | `lastIntersectionPoint`

Constructor Summary
`RayContext()`

Method Summary
`int` | `deleteMaterial(RTObject object)`
`void` | `enteringObject(RTObject object, RTMedium medium)`
`void` | `exitingObject(RTObject object)`
`float` | `getCurrentIOR()`
`float` | `getEnteringIORRation()`
`float` | `getExitingIORRation()`
`void` | `initializeContext()`
`void` | `insertMaterial(RTObject object, int index)`
`boolean` | `isLastMaterial(RTObject object)`
`void` | `popMaterial()`
`void` | `printMaterials()`
`void` | `pushMaterial(RTObject object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### excludeObject

    public RTObject excludeObject

### lastIntersectionPoint

    public final Point3d lastIntersectionPoint

Constructor Detail

### RayContext

    public RayContext()

Method Detail

### deleteMaterial

    public int deleteMaterial(RTObject object)

### enteringObject

    public void enteringObject(RTObject object,
                               RTMedium medium)

### exitingObject

    public void exitingObject(RTObject object)

### getCurrentIOR

    public float getCurrentIOR()

### getEnteringIORRation

    public float getEnteringIORRation()

### getExitingIORRation

    public float getExitingIORRation()

### initializeContext

    public void initializeContext()

### insertMaterial

    public void insertMaterial(RTObject object,
                               int index)

### isLastMaterial

    public boolean isLastMaterial(RTObject object)

### popMaterial

    public void popMaterial()

### printMaterials

    public void printMaterials()

### pushMaterial

    public void pushMaterial(RTObject object)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD